From 43dd6111ce584c32aab1375bc7ad5b1a560c8960 Mon Sep 17 00:00:00 2001
From: Mark Dilger <mark.dilger@enterprisedb.com>
Date: Mon, 27 Jan 2020 11:42:07 -0800
Subject: [PATCH 2/3] Fixed warning for json_errdetail

To keep the compiler happy, adding a not reached
return at the end of json_errdetail.

Author: Mahendra Singh Thalor <mahi6run@gmail.com>
---
 src/common/jsonapi.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/common/jsonapi.c b/src/common/jsonapi.c
index a048b3e87b..3d21ae1b6a 100644
--- a/src/common/jsonapi.c
+++ b/src/common/jsonapi.c
@@ -1094,6 +1094,9 @@ json_errdetail(JsonParseErrorType error, JsonLexContext *lex)
 		case JSON_UNICODE_LOW_SURROGATE:
 			return _("Unicode low surrogate must follow a high surrogate.");
 	}
+
+	/* To silence the compiler. */
+	return NULL;
 }
 
 /*
-- 
2.21.1 (Apple Git-122.3)

